Create Config

View as Markdown
Create a new guardrail config.

Path parameters

workspacestringRequired

Request

This endpoint expects an object.
namestringRequired
The name of the guardrail config
descriptionstringOptional
Description of the guardrail config
datamap from strings to anyOptional
Guardrail configuration data

Response

Config created successfully.
workspacestringformat: "^[\w\-\+.@:]+$"
Workspace identifier
idstringRead-only
created_atdatetimeRead-only
created_bystring or nullRead-only
updated_atdatetimeRead-only
updated_bystring or nullRead-only
entity_idstringRead-only
Alias for id for backwards compatibility.
parentstringRead-only
Parent entity ID for nested entities.
db_versionintegerRead-only
Database version of the entity for optimistic locking.
namestringOptionalDefaults to
Entity name within the workspace
projectstringOptional
The name of the project associated with this entity.
descriptionstringOptional
Description of the guardrail config
dataobjectOptional
Guardrail configuration data

Errors

409
Conflict Error
422
Unprocessable Entity Error